Bug 1130337 - cannot join 3.4 node to a 3.4 cluster ovirt engine 3.4.3
Summary: cannot join 3.4 node to a 3.4 cluster ovirt engine 3.4.3
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: 3.4
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Yaniv Bronhaim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 00:04 UTC by Michael Gregg
Modified: 2014-10-22 05:22 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-22 05:22:23 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Michael Gregg 2014-08-15 00:04:46 UTC
Description of problem:
I have a new install of ovirt, running 3.4.3. I am unable to join a new node to my cluster. Recieving error message:
Host <hostname> is compatible with versions (3.0,3.1,3.2,3.3) and cannot join Cluster Default which is set to version 3.4

Version-Release number of selected component (if applicable):
On cluster:
[root@ovirt-master ~]# rpm -qa | grep ovirt-engine
ovirt-engine-setup-plugin-websocket-proxy-3.4.3-1.fc19.noarch
ovirt-engine-tools-3.4.3-1.fc19.noarch
ovirt-engine-setup-3.4.3-1.fc19.noarch
ovirt-engine-cli-3.4.0.5-1.fc19.noarch
ovirt-engine-webadmin-portal-3.4.3-1.fc19.noarch
ovirt-engine-dbscripts-3.4.3-1.fc19.noarch
ovirt-engine-setup-plugin-ovirt-engine-common-3.4.3-1.fc19.noarch
ovirt-engine-setup-plugin-ovirt-engine-3.4.3-1.fc19.noarch
ovirt-engine-sdk-python-3.4.3.0-1.fc19.noarch
ovirt-engine-userportal-3.4.3-1.fc19.noarch
ovirt-engine-3.4.3-1.fc19.noarch
ovirt-engine-lib-3.4.3-1.fc19.noarch
ovirt-engine-restapi-3.4.3-1.fc19.noarch
ovirt-engine-backend-3.4.3-1.fc19.noarch
ovirt-engine-setup-base-3.4.3-1.fc19.noarch
ovirt-engine-websocket-proxy-3.4.3-1.fc19.noarch

on node:
[mame@mame ~]$ rpm -qa | grep vdsm
vdsm-python-4.14.8.1-0.fc19.x86_64
vdsm-4.14.8.1-0.fc19.x86_64
vdsm-xmlrpc-4.14.8.1-0.fc19.noarch
vdsm-python-zombiereaper-4.14.8.1-0.fc19.noarch
vdsm-cli-4.14.8.1-0.fc19.noarch


How reproducible:
Seems repeatable

Steps to Reproduce:
Following process form here: http://www.ovirt.org/Quick_Start_Guide
1. http://plain.resources.ovirt.org/pub/yum-repo/ovirt-release34.rpm
2. setup engine
3. add host to cluster via web interface

Actual results:
Host <hostname> is compatible with versions (3.0,3.1,3.2,3.3) and cannot join Cluster Default which is set to version 3.4

Expected results:
Some better error messages or something.

Additional info:
This may be related to https://bugzilla.redhat.com/show_bug.cgi?id=1120267
But rather little info exists in that other BZ.

Comment 1 Oved Ourfali 2014-10-07 05:05:38 UTC
I remember a similar issue, requiring upgrade of libvirt as well.
Can you try to upgrade libvirt and see whether it fixes the issue?

Comment 2 Michael Gregg 2014-10-21 17:52:26 UTC
Upgrading libvirt seems to have resolved this issue.


Note You need to log in before you can comment on or make changes to this bug.